Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Interface OrderPool

All Superinterfaces
  Pool

All Known Implementing Classes:
  OrderPoolImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface OrderPool

extends Pool

Represents a collection of OrderObject(s). The OrderPool interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Method Summary
`OrderQuery` | `getByPrice(OrderQuery query)` Deprecated See BEA Commerce product offering
`int` | `getCurrentSize()` Deprecated See BEA Commerce product offering
`Quote` | `getQuote()` Deprecated See BEA Commerce product offering
`void` | `set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated See BEA Commerce product offering
`String` | `toString(int control)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.bea.commerce.ebusiness.price.engine.pool.Pool
`adjust, adjust, getCurrency, getDetail, remove, remove`

Method Detail

### set

    void set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
             Quote quote)

  Deprecated See BEA Commerce product offering

### getCurrentSize

    int getCurrentSize()

  Deprecated See BEA Commerce product offering

### getQuote

    Quote getQuote()

  Deprecated See BEA Commerce product offering

### getByPrice

    OrderQuery getByPrice(OrderQuery query)

  Deprecated See BEA Commerce product offering

### toString

    String toString(int control)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved